Bug 922488 - Review Request: nodejs-node-markdown - Parse markdown syntax with Node.js
Summary: Review Request: nodejs-node-markdown - Parse markdown syntax with Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-17 12:43 UTC by Tom Hughes
Modified: 2013-04-17 00:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-17 00:21:40 UTC
tchollingsworth: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-03-17 12:43:57 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-node-markdown.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-node-markdown-0.1.1-1.fc18.src.rpm
Fedora Account System Username: tomh

Description:
Based on showdown parser and parses markdown syntax into HTML code.

Comment 1 T.C. Hollingsworth 2013-04-05 22:29:40 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status:  APPROVED

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (node-markdown-0.1.1.tgz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

Rpmlint
-------
Checking: nodejs-node-markdown-0.1.1-1.fc20.noarch.rpm
          nodejs-node-markdown-0.1.1-1.fc20.src.rpm
nodejs-node-markdown.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-node-markdown.noarch: W: only-non-binary-in-usr-lib
nodejs-node-markdown.noarch: W: dangling-symlink /usr/lib/node_modules/node-markdown/node_modules/showdown /usr/lib/node_modules/showdown
nodejs-node-markdown.src: W: spelling-error Summary(en_US) js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

OK


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-node-markdown
nodejs-node-markdown.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-node-markdown.noarch: W: only-non-binary-in-usr-lib
nodejs-node-markdown.noarch: W: dangling-symlink /usr/lib/node_modules/node-markdown/node_modules/showdown /usr/lib/node_modules/showdown
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
nodejs-node-markdown-0.1.1-1.fc20.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine)
    npm(showdown)

OK

Provides
--------
nodejs-node-markdown-0.1.1-1.fc20.noarch.rpm:
    
    nodejs-node-markdown = 0.1.1-1.fc20
    npm(node-markdown) = 0.1.1

OK

MD5-sum check
-------------
http://registry.npmjs.org/node-markdown/-/node-markdown-0.1.1.tgz :
  CHECKSUM(SHA256) this package     : fd34e6227cdac9da2db73e4ff4939df90bd2b45120edac9b54e2826c260447de
  CHECKSUM(SHA256) upstream package : fd34e6227cdac9da2db73e4ff4939df90bd2b45120edac9b54e2826c260447de

  OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b922488

Comment 2 Tom Hughes 2013-04-05 22:56:53 UTC
New Package SCM Request
=======================
Package Name: nodejs-node-markdown
Short Description: Parse markdown syntax with Node.js
Owners: tomh
Branches: f19 f18
InitialCC:

Comment 3 Pavol Babinčák 2013-04-08 09:01:50 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-04-08 11:39:59 UTC
nodejs-node-markdown-0.1.1-1.fc18,nodejs-JSV-4.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-node-markdown-0.1.1-1.fc18,nodejs-JSV-4.0.2-2.fc18

Comment 5 Fedora Update System 2013-04-08 22:59:52 UTC
nodejs-node-markdown-0.1.1-1.fc18, nodejs-JSV-4.0.2-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 6 Fedora Update System 2013-04-17 00:21:42 UTC
nodejs-node-markdown-0.1.1-1.fc18, nodejs-JSV-4.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.